NAME = minetest:get_current_modname()
WORLD = "orionworld"
FLORA = "orionflora"

minetest.register_tool(NAME .. ":hatchet", {
	description =  "basic hatchet",
	inventory_image = NAME .. "_hatchet.png",
	tool_capabilities = {
		groupcaps = {
			flora = {
				times = {
					[1] = 2 ,
					[2] = 3.2,
					[3] = 5
				},
				maxlevel = 3
			},
			solids = {
				times = {
					[1] = 1,
					[2] = 3,
					[3] = 4,
					[4] = 6
				},
				maxlevel = 4
			},
			semisolids = {
				times = {
					[1] = 2,
					[2] = 4,
					[3] = 5
				},
				maxlevel = 3
			}
		}
	}
})


minetest.register_craftitem(NAME .. ":rope" , {
	description = "Rope",
	inventory_image = NAME .. "_rope.png"
})


local input = {}
input[FLORA .. ":flax"] = 1
local output = {}
output[NAME .. ":rope"] = 1
orion.craft.register("hand", input, output)
